Missions

List a mission collection

POST/v1/mission-collections/{collectionKey}

Returns one collection's missions for the player, in the collection's order.

A POST for the same reason the feed is: the player is entered into the ones they are eligible for.

AuthorizationBearer <token>

Paste a project API key (no 'Bearer ' prefix). Create one in the dashboard under API keys.

In: header

Path Parameters

collectionKey*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/mission-collections/string" \  -H "Content-Type: application/json" \  -d '{    "playerId": "string"  }'
{  "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",  "key": "string",  "name": "string",  "description": null,  "images": {    "property1": "string",    "property2": "string"  },  "missions": [    {      "missionKey": "string",      "name": "string",      "description": null,      "images": {        "property1": "string",        "property2": "string"      },      "status": "Available",      "optInMode": "Automatic",      "isAccepted": true,      "occurrenceNumber": 0,      "objectives": [        {          "objectiveId": "1ac8be30-2b34-409a-be6d-40652b73c978",          "description": null,          "order": 0,          "isSatisfied": true,          "progress": {            "kind": "TowardTarget",            "actual": null,            "operator": null,            "target": null,            "fraction": null          }        }      ],      "rewards": [        {          "kind": "Points",          "pointsAmount": null,          "catalogItemKey": null,          "catalogItemValue": null        }      ],      "startedAtUtc": null,      "acceptedAtUtc": null,      "completedAtUtc": null,      "availableUntilUtc": null    }  ]}